Page MenuHomeSolus

Update kitty to 0.13.3. Built against new glibc.
Needs RevisionPublic

Authored by serebit on Feb 14 2019, 1:19 AM.

Details

Reviewers
DataDrake
Girtablulu
JoshStrobl
Group Reviewers
Triage Team
Summary

Changelog available here.

Test Plan

Open the terminal and submit this patch.

Diff Detail

Repository
R4194 kitty
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
serebit created this revision.Feb 14 2019, 1:19 AM
serebit requested review of this revision.Feb 14 2019, 1:19 AM
serebit retitled this revision from Update to 0.13.3. Built against new glibc. to Update kitty to 0.13.3. Built against new glibc..Feb 14 2019, 1:22 AM
DataDrake accepted this revision.Feb 16 2019, 12:35 AM
DataDrake added a subscriber: DataDrake.

LGTM. Thanks!

This revision is now accepted and ready to land.Feb 16 2019, 12:35 AM
Girtablulu requested changes to this revision.Feb 16 2019, 12:42 AM
Girtablulu added a subscriber: Girtablulu.

please rebase and update your solbuild repo before packaging

This revision now requires changes to proceed.Feb 16 2019, 12:42 AM

You got it, @Girtablulu. Updating now.

Apparently wayland-protocols >= 1.17 is required for Wayland support to be enabled, do we drop Wayland for now or update Wayland first?

serebit updated this revision to Diff 13109.Feb 16 2019, 12:59 AM

Rebuilt against updated solbuild and fixed release number.

JoshStrobl requested changes to this revision.Feb 16 2019, 1:06 AM
JoshStrobl added a subscriber: JoshStrobl.

I'd prefer we update wayland-protocols first. If you want to provide a patch for this, that'd work for me. Otherwise, I can look into updating it this weekend to unblock this patch. Would prefer we don't regress in Wayland support, even if Wayland support for Solus still remains pretty much non-existent.

This revision now requires changes to proceed.Feb 16 2019, 1:06 AM

I'd prefer we update wayland-protocols first. If you want to provide a patch for this, that'd work for me. Otherwise, I can look into updating it this weekend to unblock this patch. Would prefer we don't regress in Wayland support, even if Wayland support for Solus still remains pretty much non-existent.

I attempted to patch the versioning file to force it to allow 1.16, but it looks like it actually uses features from 1.17. Guess it'll need a wayland-protocols update after all. I'll leave it to you.

I have updated wayland-protocols to 1.17 https://dev.getsol.us/D5611

DataDrake requested changes to this revision.Mar 30 2019, 7:49 PM

Any word on this not that wayland-protocols was updated?

Any word on this not that wayland-protocols was updated?

wayland-protocols is still at 1.16, the differential commented here was closed by Josh. Still waiting on an update to the package.